Loading...
Searching...
No Matches
gridviewfunction.hh File Reference
`#include <memory>`
`#include <dune/common/concept.hh>`
`#include <dune/functions/gridfunctions/gridfunction.hh>`
`#include <dune/functions/gridfunctions/gridviewentityset.hh>`
`#include <dune/functions/gridfunctions/analyticgridviewfunction.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::GridViewFunction< Signature, GridView, DerivativeTraits, bufferSize >
class | Dune::Functions::GridViewFunction< Range(Domain), GV, DerivativeTraits, bufferSize >
| Wrapper class for functions defined on a GridView. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class F, class GridView, std::enable_if_t< models< Imp::HasFreeLocalFunction, F >(), int > = 0>
std::decay_t< F > | Dune::Functions::makeGridViewFunction (F &&f, const GridView &gridView)
| Construct a function modeling GridViewFunction from function and grid view.
template<class F, class GridView, std::enable_if_t< not(models< Imp::HasFreeLocalFunction, F >()), int > = 0>
auto | Dune::Functions::makeGridViewFunction (F &&f, const GridView &gridView) -> decltype(makeAnalyticGridViewFunction(std::forward< F >(f), gridView))
| Construct a function modeling GridViewFunction from function and grid view.